Subject: Re: [PATCH net] net: devlink: fix UAF in devlink_compat_running_version()

From: Jakub Kicinski <[email-masked]>
Date: Wed, 30 Nov 2022 08:36:18 -0800

On Wed, 30 Nov 2022 10:54:06 +0200 Leon Romanovsky wrote:
> In parallel thread, Jiri wanted to avoid this situation of netlink
> notifications for not-visible yet object. He gave as an example
> devlink_port which is advertised without devlink being ready.

To be clear the exact ordering matters much less in my scheme,
because the user space caller will wait for the instance lock
before checking if the instance is registered. So an early user 
request will just sleep on the instance lock until init is done.